Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class DiscountModifierFixed

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.DiscountModifier
            |
            +--com.bea.commerce.ebusiness.price.engine.DiscountModifierFixed

public class DiscountModifierFixed
extends DiscountModifier

Supports FIXED_OFF and FIXED_PRICE ModifierTypes

Field Summary
`static java.lang.String` | `cName`

Fields inherited from class com.bea.commerce.ebusiness.price.engine.DiscountModifier
`cName`

Constructor Summary
`DiscountModifierFixed(ModifierType type, double value, java.lang.String currency)`
`DiscountModifierFixed(ModifierType type, java.lang.String stringValue, java.lang.String currency)`

Method Summary
`java.lang.String` | `getCurrency()`
`Money` | `getMoney()`
`double` | `getValue()`
`java.lang.String` | `toString()`

Methods inherited from class com.bea.commerce.ebusiness.price.engine.DiscountModifier
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final java.lang.String cName

Constructor Detail

### DiscountModifierFixed

    public DiscountModifierFixed(ModifierType type,
                                 java.lang.String stringValue,
                                 java.lang.String currency)

### DiscountModifierFixed

    public DiscountModifierFixed(ModifierType type,
                                 double value,
                                 java.lang.String currency)

Method Detail

### getValue

    public double getValue()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class DiscountModifier

### getMoney

    public Money getMoney()

### getCurrency

    public java.lang.String getCurrency()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved